## nova 2013.1.4

=== debian/changelog ===
nova (1:2013.1.4-0ubuntu1) raring-proposed; urgency=low

  * Resynchronize with stable/grizzly (0409a09) (LP: #1241202):
    - [2ab1b6a] sql error when launching an instance from a volume LP: 1171190
    - [b5fa9f0] nova should check the is_public of flavor when creating an
      instance LP: 1212179
    - [f651317] nova boot --num-instances=50 times out  LP: 1199433
    - [ee9d1f6] Not prompt relevant message when stop a stoped vm LP: 1181934
    - [fc4d1f9] vmware driver should work without requiring patched wsdl
      LP: 1171215
    - [65b122f] launch index is not right if boot some VMs in one request
      LP: 1212648
    - [90fa239] VMware: Unable to spawn a instance when using Quantum and
      VMware drivers LP: 1202042
    - [474b8a4] Spawning multiple instances can cause race conditions with nbd
      LP: 1207422
    - [c704897]  Some sequence of characters in console-log can DoS nova-
      compute LP: 1215091
    - [43f2a4c] libvirt driver: Failed to attach new interface to VM
      LP: 1212565
    - [067fb93] Multi datastore support for provisioning of instances on ESX
      LP: 1104994
    - [fc9af8f] Compute nodes changing hostnames should log an error
      LP: 1224982
    - [cc1b72a] Security groups with source groups no longer work LP: 1216720
    - [faabb91] instance consoleauth  expired tokens need to be removed from
      the cache LP: 1209134
    - [5c55985] VHD snapshot from Hyper-V driver is bigger than original
      instance LP: 1177927
    - [d9ce5a4] normal user can show all the networks LP: 1186867
    - [6697489] hard reboot fails when using force_raw_images=False and
      use_cow_images=False and  LP: 1200249
    - [a59957c] Snapshot failure with VMwareVCDriver LP: 1184807
    - [542191d] VMWAREAPI: Problem with starting Windows instances on ESXi 5.1
      LP: 1187853
    - [62f2218] Exceptions during soft reboot should result in a hard reboot
      LP: 1202974
    - [f306875] Incorrect host stats reported by VMWare VCDriver LP: 1190515
    - [8e6b79f] Windows instances need timezone to be localtime LP: 1231254
    - [570e8c7] boto version breaks gating LP: 1237944
    - [6193176] hard reboot fails with preallocate_images=performance
      LP: 1200113
    - [a48f9df] mount_options: mount: /boot: No such file or directory
      LP: 1210371
    - [516ec3e] one port_id can add to two instance LP: 1204850
    - [f89e624] VMware: no VM connectivity when opaque network does not match
      bridge id LP: 1225002
    - [ba7ad53] Add boto special casing for param changes in 2.13
    - [7b2b673] Cannot live block migrate an instance without shared storage
      LP: 1193359
    - [0409a09] boto version checking in test cases is not backwards compatible
      LP: 1239220

 -- Adam Gandelman <adamg@ubuntu.com>  Thu, 17 Oct 2013 13:54:08 -0700

nova (2013.1.2-0ubuntu1) raring-proposed; urgency=low

  * Dropped patches, applied upstream:
    - debian/patches/CVE-2013-2096.patch: [a4fc0c8]
  * Resynchronize with stable/grizzly (8c136a8e) (LP: #1188788):
    - [8c136a8] instance_type data cannot be extracted from sys_meta after
      instance deleted LP: 1185190
    - [6556344] Some nova.tests.integrated.test_api_samples.Hypervisors* tests
      fail when run as single test LP: 1177802
    - [bc35dba] Make nova.virt.fake.FakeDriver useable in integration testing
    - [ab51ac6] Cannot resize instance if base image is not available
      LP: 1160773
    - [4933c15] FC attach code doesn't discover multipath device LP: 1180497
    - [605ea6f] Failure to snapshot backend LP: 1166160
    - [ec335d0] bug in get_instance_security_groups() if security group has no
      name LP: 1182738
    - [fdb33fb] Traceback from cinderclient in nova-api log for BadRequest
      errors LP: 1098048
    - [de50a5a] vmwareapi: Add supported_instances to host state
    - [129d118] ERROR: test_resize_server_revert BuildErrorException LP: 1161529
    - [e05cf67] EC2 API throws stacktrace if adding security group rule that
      already exists LP: 1180973
    - [158f003] The hypervisor_hostname is not updated after live migration
      LP: 1173376
    - [b4d8cfe] variable referenced before assignment in vmwareapi code
      LP: 1177689
    - [40f3eed] Some Compute API methods unnecessarily alter the vm_state.
      LP: 1158509
    - [d4bed18] Cannot resize a volume backed instance booted without an image
      LP: 1182114
    - [bba57e9] nova interface-attach fails with quantum LP: 1171636
    - [e0a8bdd] InstanceMetadata content can be None LP: 1163598
    - [5094e83] nova coverage create lots empty folders even with coverage
      extension disabled LP: 1169005
    - [76eb8f7] ZooKeeper servicegroup driver is trying to import module by
      wrong name LP: 1177776
    - [b8c4346] Inconsistent connectivity between instances with floating IPs
      LP: 1178745
    - [726ae59] race condition between delete instance(with floating ip
      associated) and delete floating ip LP: 1172599
    - [498ce52] Don't swallow missing SR error LP: 1175357
    - [be0a14a] Nic Ordering not guaranteed with nova-network API LP: 1170725
    - [3c84539] Detach volume fails when using multipath iscsi LP: 1178893
    - [fc5c6ec] Quantum Security Group driver doesn't accept none value for
      from_port & to _port LP: 1176027
    - [784b6e4] ERROR in log when rebooting too soon after a reboot LP: 1157237
    - [3b52002] Resize revert operations fail with stack traces LP: 1180111
    - [25f2025] Live migration fails when the instance booted from volume has no
      image. LP: 1170596
    - [1ffab28] internal service AZ not hidden for disabled zones LP: 1167956
    - [c532f7a] Key error thrown when create lpar instance failed LP: 1173303
    - [a35e0f4] soft delete values in InstanceSystemMetadata on instance delete
      LP: 1153827
    - [1a682a5] Restarting compute service mistakenly reboots live instance
      LP: 1176897
    - [a4fc0c8] [OSSA 2013-012] Unchecked qcow2 root disk sizes LP: 1177830

