## nova 2013.1.5

=== debian/changelog ===
nova (1:2013.1.5-0ubuntu1~cloud0) precise-grizzly; urgency=low

  * Resynchronize with stable/grizzly (64f22b8) (LP: #1295674):
    - [64f22b8] Add delete_net_interface function
    - [5a789e1] Add HEAD api response for test s3 server BucketHandler
    - [12c19f3] Fix race for stable/grizzly backport of test_reclaim_queued_deletes
    - [cbeb5e5] libvirt: Fix root disk leak in live mig
    - [a9e5391] Make test_different_fname_concurrency less racy
    - [3e451f1] use 'os_type' in ephemeral filename only if mkfs defined
    - [9bd7fff] Enforce permissions in snapshots temporary dir
    - [21871a7] Fix IPAddress and CIDR type decorators
    - [07006be] Prevent spoofing instance_id from neutron to nova
    - [3ed9635] Add missing argument max_size in libvirt driver
    - [df384f1] Fix problem with setting SSL protocol in QPid
    - [1efdd07] Ensure anti affinity scheduling works
    - [135faa7] ensure we don't boot oversized images
    - [a28aa07] Fail quickly if file injection for boot volume
    - [01de658] xenapi: apply firewall rules in finish_migrate
    - [df2ea2e] xenapi: enforce filters after live-migration
    - [2f94155] VMWare: Disabling linked clone doesn't cache images
    - [333e016] VMware: Fix bug for root disk size
    - [d791181] VMwareVCDriver Fix sparse disk copy error on spawn
    - [9f71aa7] Fixes KeyError bug with network api associate
    - [ae8842c] Fix inconsistency between Nova-Net and Neutron
    - [fb82a45] support stevedore >= 0.14

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 21 Mar 2014 13:08:40 -0400

nova (1:2013.1.4-0ubuntu1.1~cloud0) precise-grizzly; urgency=low

  [ Jian Wen ]
  * d/nova-compute.upstart: If libvirt-bin is installed, then wait
    for it to reach running state before starting nova-compute
    (LP: #907152, #1190280)

 -- Chris J Arges <chris.j.arges@canonical.com>  Thu, 09 Jan 2014 12:26:44 -0600
