=== debian/control ===
--- 
+++ 
@@ -50,8 +50,8 @@
 Build-Conflicts: python-cjson
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/nova
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/essex/debian/files
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/essex
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/grizzly/files
+Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/grizzly
 
 Package: python-nova
 Architecture: all
