=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,7 @@
 	rm -rf CA
 	rm -f po/nova.pot
 	rm -rf .autogenerated
+	rm -rf setuptools_git*.egg
 
 debian/nova-compute.postinst: debian/nova-compute.postinst.in
 	if dpkg-vendor --derives-from ubuntu ; then \
