## nova 2013.2~rc2

=== debian/control ===
--- 
+++ 
@@ -9,91 +9,94 @@
  python-all-dev (>= 2.6.6-3~)
 Build-Depends-Indep: openssh-client,
  openssl,
- python-amqplib,
- python-boto,
- python-carrot,
- python-cheetah,
- python-cinderclient,
+ python-amqplib (>= 0.6.1),
+ python-anyjson (>= 0.3.3),
+ python-babel,
+ python-boto (>= 2.4.0),
+ python-cinderclient (>= 1:1.0.5),
  python-coverage,
  python-crypto,
  python-distutils-extra,
- python-eventlet,
- python-fixtures (>= 0.3.12),
+ python-eventlet (>= 0.13.0),
+ python-fixtures (>= 0.3.14),
  python-feedparser,
- python-glanceclient,
+ python-greenlet (>= 0.3.2),
+ python-glanceclient (>= 1:0.9.0),
  python-iso8601,
- python-kombu,
- python-lxml,
+ python-keystoneclient (>= 1:0.3.2),
+ python-kombu (>= 2.5.12),
+ python-jsonschema (>= 1.3.0),
+ python-jinja2,
+ python-lxml (>= 2.3),
  python-migrate,
+ python-mock,
  python-mox,
- python-netaddr,
- python-novaclient (>= 1:2.9.0),
- python-oslo-config,
- python-paramiko,
+ python-netaddr (>= 0.7.6),
+ python-oslo.config (>= 1:1.2.0),
+ python-oslo.sphinx,
+ python-paramiko (>= 1.8.0),
  python-paste,
  python-pastedeploy (>= 1.5.0),
+ python-pbr (>= 0.5.11),
  python-pyasn1,
- python-quantumclient,
+ python-neutronclient (>= 1:2.3.0),
  python-routes,
  python-setuptools,
- python-setuptools-git,
- python-stevedore (>= 0.7.2),
+ python-six (<< 1.4.0),
+ python-stevedore (>= 0.10),
  python-sphinx (>> 1.0),
- python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
+ python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy,
  python-suds,
- python-testtools (>= 0.9.22),
- python-unittest2,
+ python-testtools (>= 0.9.32),
  python-webob (>= 1.2.3),
- pep8,
  sqlite3,
- testrepository ( >= 0.0.8)
+ testrepository ( >= 0.0.17)
 Build-Conflicts: python-cjson
 Standards-Version: 3.9.3
 Homepage: http://launchpad.net/nova
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/grizzly/files
-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/grizzly
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/havana/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/nova/havana
+XS-Testsuite: autopkgtest
 
 Package: python-nova
 Architecture: all
 Section: python
 Depends: openssh-client,
  openssl,
- python-boto,
- python-carrot,
- python-cheetah,
- python-cinderclient,
- python-daemon,
- python-eventlet,
- python-feedparser,
- python-gflags,
- python-glance,
- python-glanceclient,
+ python-amqplib (>= 0.6.1),
+ python-anyjson (>= 0.3.3),
+ python-babel,
+ python-boto (>= 2.4.0),
+ python-cinderclient (>= 1:1.0.5),
+ python-eventlet (>= 0.13.0),
+ python-greenlet (>= 0.3.2),
+ python-glanceclient (>= 1:0.9.0),
+ python-keystoneclient (>= 1:0.3.2),
+ python-neutronclient (>= 1:2.3.0),
  python-iso8601,
- python-keystone,
- python-kombu,
- python-ldap,
- python-libxml2,
- python-lockfile,
- python-lxml,
+ python-jinja2,
+ python-jsonschema (>= 1.3.0),
+ python-kombu (>= 2.5.12),
+ python-lxml (>= 2.3),
  python-m2crypto,
  python-migrate,
- python-netaddr,
- python-novaclient (>= 1:2.9.0),
+ python-netaddr (>= 0.7.6),
+ python-oslo.config (>= 1:1.2.0),
+ python-paramiko (>= 1.8.0),
  python-paste,
- python-pastedeploy,
- python-pycurl,
+ python-pastedeploy (>= 1.5.0),
  python-routes,
+ python-six,
  python-simplejson,
  python-sqlalchemy-ext ( >= 0.7.8-1~) | python-sqlalchemy (<< 0.6.3-2),
+ python-stevedore (>= 0.10),
  python-pyasn1,
  python-suds,
- python-tempita,
  python-webob (>= 1.2.3),
- python-xattr,
  sudo,
  ${misc:Depends},
  ${python:Depends}
-Suggests: python-suds (>= 0.4.0)
+Suggests: python-ldap
 Conflicts: python-cjson
 XB-Python-Version: ${python:Versions}
 Recommends: python-mysqldb
@@ -118,7 +121,6 @@
 Package: nova-common
 Architecture: all
 Depends: adduser,
- python-amqplib,
  python-nova (= ${binary:Version}),
  ${misc:Depends},
  ${python:Depends}
@@ -329,12 +331,3 @@
  .
  Install this dependency package on your compute nodes if you're using xcp
 
-Package: nova-xcp-plugins
-Architecture: all
-Depends: xcp-xapi, ${misc:Depends}, ${python:Depends}
-Description: OpenStack Compute plugin for the Xen Cloud Platform
- OpenStack is a reliable cloud infrastructure. Its mission is to produce
- the ubiquitous cloud computing platform that will meet the needs of public
- and private cloud providers regardless of size, by being simple to implement
- and massively scalable.
- .
